<?php
session_start();
if(!isset($_SESSION['idUsuarioLogado'])){
	header("location: ./");
}
include_once("header.php");  
$usuarioLogado = $_SESSION['idUsuarioLogado'];
?>
<div class="app-content content" style='background-color:#e1e9e7;'>
    <div class="content-wrapper">
        <section id="ordering">
            <div class="row">
                <div class="col-12">
									<div class="card" style='border:gray 1px solid;' id='card-tela'>
                        <div class="card-header" style="background: url(css/images/bg-title.png); background-repeat: repeat-x; height: 45px !important;">
                            <h4 class="card-title" style="font-size: 11pt; margin-top: -8px; color: #fff;">
                                <b><i class="icofont icofont-ui-check"></i>&nbsp;ATUALIZAR DEMANDA REPRIMIDA</b>
                            </h4>
                            <a class="heading-elements-toggle"><i class="fa fa-ellipsis-v font-medium-3"></i></a>
                            <div class="heading-elements">
                                <ul class="list-inline mb-0" style="margin-top: -12px; color: #fff;">
                                    <li>
                                        <a data-action="collapse"><i class="ft-minus"></i></a>
                                    </li>
                                    <li>
                                        <a data-action="expand"><i class="ft-maximize"></i></a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="card-content collapse show">
													<div class="card-body">
														<form class="form">
															<div class="form-body">
																<h4 class="form-section"><i class="icofont icofont-download-alt"></i> <b>Carregar arquivos de agendamentos</b></h4>															
															<div class="row">
																<div class="col-md-12">
																	<div class="form-group">
																		<table width='100%'>
																			<tr>
																				<td>
																					<label for="arquivoParaImportacao">Anexar arquivo:</label>
                                     			<input type="text" id="nomeCompletoArquivo" name="nomeCompletoArquivo" class="form-control upload-fake"  disabled>
                                     			<input type="file" id="arquivoParaImportacao" name="arquivoParaImportacao" class="form-control upload-real" accept=".txt, .TXT">
																				</td>
																				<td width='5px'></td>
																				<td width='60px'>
                                         	<button type="button" class="btn btn-success" onClick="carregarDocumento()" style='margin-top:-15px'>
                                         		<i class="fa fa-download"></i> Carregar
                                         	</button>
																				</td>
																			</tr>
																		</table>																			
																	</div>																	
																</div>
															</div>																
														</form>
													</div>
												</div>
                </div>
            </div>
        </section>
    </div>
</div>

<?php
include_once("footer.php");
?>
<script src="../app-assets/vendors/js/forms/extended/inputmask/jquery.inputmask.bundle.min.js"></script>
<script src="../app-assets/js/scripts/forms/extended/form-inputmask.min.js"></script>
<script src="../app-assets/vendors/js/tables/datatable/datatables.min.js"></script>        
<script src="../app-assets/js/scripts/tables/datatables/datatable-basic.min.js"></script>
<script src="../app-assets/js/scripts/ui/jquery-ui/buttons-selects.min.js"></script>

<script>	
	$("#atualizardemanda").attr('class', 'active');
	$("#atualizardemanda").css("border-bottom", "2px solid #c4c8ca");	

	$("#arquivoParaImportacao").change(function(){
  	var nomeArquivo = this.files[0].name;
  	$("#nomeCompletoArquivo").val(nomeArquivo);
	})


function carregarDocumento(){

	var nomeCompletoArquivo	= $("#nomeCompletoArquivo").val();

	if(nomeCompletoArquivo==""){
		swal("Carregar Arquivo.", "Você deve selecionar o arquivo a ser carregado.", "error");
		return false;
	}

	$('#embacado').css('display','block');
	var formData = new FormData();
  formData.append( 'arquivoParaImportacao', $('#arquivoParaImportacao')[0].files[0]);

	$.ajax({
      type: 'POST',
      url: 'action/carregar_arquivo_agendamentos',
      data: formData,
      processData: false,
      contentType: false
    }).done(function (resultadoRetorno) {
			var splitResultadoRetorno = resultadoRetorno.split("#");
			if(splitResultadoRetorno[0]=="erro"){
				$('#embacado').css('display','none');
				swal("Arquivo inválido", splitResultadoRetorno[1], "error");
				return false;
			}
			swal("Arquivo Processado", splitResultadoRetorno[1], "info");
      $('#embacado').css('display','none');
    }); 
			
}

</script>